'use strict';

/**
 * Scans from left, until a test passes.
 * @param x an array
 * @param ft test function (v, i, x)
 * @returns index where test passes
 */
function scanUntil(x, ft) {
    var i = -1;
    for (var v of x)
        if (ft(v, ++i, x))
            return i;
    return ++i;
}

module.exports = scanUntil;
